<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

$router->get('/', function () use ($router) {
    return $router->app->version();
});

$router->get('home', function(){
    return 'Bienvenido!';
});

$router->post('/login', 'LoginController@login');

/*Areas*/
$router->get('ReadAreas',  'AreasController@ReadAreas');
$router->get('ReadAreasActivas',  'AreasController@ReadAreasActivas');
$router->get('ReadAreasActivasTodas',  'AreasController@ReadAreasActivasTodas');
$router->post('CreateArea', 'AreasController@CreateAreas');
$router->post('UpdateArea', 'AreasController@UpdateArea');


/*Tipos Solicitantes*/
$router->get('ReadTipoSolicitante', 'TSolicitanteController@ReadTipoSolicitante');
$router->get('ReadTipoSolicitanteActivo', 'TSolicitanteController@ReadTipoSolicitanteActivo');
$router->post('CreateTipoSolicitante', 'TSolicitanteController@CreateTipoSolicitante');
$router->post('UpdateTipoSolicitante', 'TSolicitanteController@UpdateTipoSolicitante');

/*Tipo Radicado*/
$router->get('ReadTipoRadicado', 'TRadicadoController@ReadTipoRadicado');
$router->get('ReadTipoRadicadoActivo', 'TRadicadoController@ReadTipoRadicadoActivo');
$router->get('ReadTipoRadicadoArea', 'TRadicadoController@ReadTipoRadicadoArea');
$router->post('CreateTipoRadicado', 'TRadicadoController@CreateTipoRadicado');
$router->post('UpdateTipoRadicado', 'TRadicadoController@UpdateTipoRadicado');
$router->get('ReadTipoRadicadoAreaPortal/{id_tipo_radicado}', 'TRadicadoController@ReadTipoRadicadoAreaPortal');
$router->post('UpdateTipoRadicadoAreaPortal', 'TRadicadoController@UpdateTipoRadicadoAreaPortal');

/*Tipo Respuesta*/

$router->get('ReadTipoRespuesta', 'TRespuestaController@ReadTipoRespuesta');
$router->get('ReadTipoRespuestaActivo', 'TRespuestaController@ReadTipoRespuestaActivo');
$router->post('CreateTipoRespuesta', 'TRespuestaController@CreateTipoRespuesta');
$router->post('UpdateTipoRespuesta', 'TRespuestaController@UpdateTipoRespuesta');

/*Tipos Tramites*/
$router->get('ReadTipoTramite', 'TTramiteController@ReadTipoTramite');
$router->get('ReadTipoTramiteActivo', 'TTramiteController@ReadTipoTramiteActivo');
$router->post('CreateTipoTramite', 'TTramiteController@CreateTipoTramite');
$router->post('UpdateTipoTramite', 'TTramiteController@UpdateTipoTramite');

/*Estados Radicados*/
$router->get('ReadEstadoRadicado', 'estRadicadoController@ReadEstadoRadicado');
$router->get('ReadEstadoRadicadoActivos', 'estRadicadoController@ReadEstadoRadicadoActivos');
$router->post('CreateEstadoRadicado', 'estRadicadoController@CreateEstadoRadicado');
$router->post('UpdateEstadoRadicado', 'estRadicadoController@UpdateEstadoRadicado');


/*Festivos*/
$router->get('ReadFestivos', 'FestivosController@ReadFestivos');
$router->post('ActualizaDia', 'FestivosController@ActualizaDia');

/*Usuarios*/
$router->get('ReadUsuarios', 'UsuariosController@ReadUsuarios');
$router->get('ReadUsuariosActivos', 'UsuariosController@ReadUsuariosActivos');
$router->post('CreateUsuarios', 'UsuariosController@CreateUsuarios');
$router->post('UpdateUsuarios', 'UsuariosController@UpdateUsuarios');

/*Parametros*/
$router->get('getParametros', 'ParametroController@getParametros');
$router->post('GuardarParametro', 'ParametroController@GuardarParametro');

/*Solicitantes*/
$router->get('ReadSolicitantes/{id_tipo_sol}', 'SolicitanteController@ReadSolicitantes');
$router->get('ReadALL', 'SolicitanteController@ReadALL');
$router->get('getUnicoSol/{id}', 'SolicitanteController@getUnicoSol');
$router->post('CreateSolicitanteNatural', 'SolicitanteController@CreateSolicitanteNatural');
$router->post('UpdateSolicitanteNatural', 'SolicitanteController@UpdateSolicitanteNatural');
$router->post('CreateSolicitanteJuridica', 'SolicitanteController@CreateSolicitanteJuridica');
$router->post('UpdateSolicitanteJuridica', 'SolicitanteController@UpdateSolicitanteJuridica');
$router->post('CreateSolicitanteEntidad', 'SolicitanteController@CreateSolicitanteEntidad');
$router->post('UpdateSolicitanteEntidad', 'SolicitanteController@UpdateSolicitanteEntidad');

/*Radicados*/
$router->get('ReadRadicados', 'RadicadoController@ReadRadicados');
$router->get('CargaInicial/{idRadicado}', 'RadicadoController@CargaInicial');
$router->get('CargaRadicado/{idRadicado}', 'RadicadoController@CargaRadicado');
$router->post('GuardarRadicado', 'RadicadoController@Guardar');


/*Adjuntos*/
$router->post('Upload/{guid}', 'AdjuntosController@Upload');
$router->post('RemoveTmp', 'AdjuntosController@RemoveTmp');
$router->post('RemoveFromRadicado', 'AdjuntosController@RemoveFromRadicado');


/*Tramites*/
$router->post('GuardarTramite', 'TramiteController@Guardar');
$router->get('Historico/{idRadicado}', 'TramiteController@Historico');

/*FRONT END*/
$router->get('BuscarRadicado', 'FrontController@BuscarRadicado');


/*DASHBOARD*/
$router->get('getDashBoard', 'dashBoardController@getDashBoard');

/*BUSCADOR*/
$router->get('Buscar', 'SearchController@Buscar');


$router->get('obtenerPdf', 'GenerarPDFController@obtenerPdf');
$router->get('RadicadoPDF/{id}', 'GenerarPDFController@RadicadoPDF');
$router->get('RadicadoRecibidoPDF/{id}', 'GenerarPDFController@RadicadoRecibidoPDF');
$router->get('PDFPlanilla/{fInicial}/{fFinal}/{Areas}/{Usuarios}/{Nplanilla}', 'GenerarPDFController@PDFPlanilla');
$router->post('ProcesarReporte', 'GenerarPDFController@ProcesaReporte');

//$router->post('ProcesarReporte', 'PdfController@ProcesaReporte');

$router->get('pdf', 'PdfController@createTestPdf');

$router->post('ProcesarReporteExcel', 'ReporteExcelController@ProcesaReporte');


$router->post('GuardarUsuarioPublico', 'FrontController@GuardarUsuarioPublico');

$router->post('ValidarDuplicado', 'FrontController@ValidarDuplicado');

$router->post('VerificarToken/{token}', 'FrontController@VerificarToken');

$router->post('LoginPublico', 'FrontController@LoginPublico');

$router->post('ResetPass/{correo}', 'FrontController@ResetPass');

$router->post('CambiarPass/{token}', 'FrontController@CambiarPass');

$router->post('UpdateUserPublico', 'FrontController@UpdateUserPublico');

$router->get('ObtenerSoli/{api_token}',  'PortalController@ObtenerSoli');

$router->get('ReadAreasActivasPortal',  'PortalController@ReadAreasActivasPortal');

$router->get('ReadTramitesxArea',  'PortalController@ReadTramitesxArea');

$router->post('GuardarSolicitud', 'PortalController@GuardarSolicitud');
